import { jsx } from "react/jsx-runtime";
import { TokenXPRT as TokenXPRT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXPRT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XPRT", "data-name": "TokenXPRT", ...props, children: /* @__PURE__ */ jsx(TokenXPRT$1, { variant }) });
  }
);
TokenXPRT.displayName = "TokenXPRT";
Object.assign(TokenXPRT, { isGdsIcon: true });
export {
  TokenXPRT
};
